﻿using AutoMapper;
using Models.Table;
using Repositories.IRepository.IBussiness;
using Services.Interface;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Services
{
    public class OrderService : BaseService<OrderMain>, IOrderService
    {
        private readonly IOrderMainRepository _OrderMainRepository;
        private readonly IOrderDetailRepository _OrderDetailRepository;
        public IMapper mapper;

        public OrderService(IOrderMainRepository OrderMainRepository, IOrderDetailRepository OrderDetailepository, IMapper _mapper)
        {
            base.BaseDal = OrderMainRepository;
            _OrderMainRepository = OrderMainRepository;
            _OrderDetailRepository = OrderDetailepository;
            mapper = _mapper;
        }
    }
}
